import lbi.utils.*;

import java.io.*;
import java.sql.*;
import java.util.*;

public class Lookup {

	   public static void outputCSV(ResultSet rs) throws SQLException { 
	        ResultSetMetaData md = rs.getMetaData();
	        int nCols = md.getColumnCount();
            for (int i = 1; i < nCols; ++i)
                System.out.print(rs.getString(i) + ",");
            System.out.print(rs.getString(nCols));
	    }


	    public static void main(String[] args) throws SQLException, IOException {
//	 load proprierties
	        Properties props = IOUtil.readProps("myJDBCdef.props");
//	 load drivers
	        DBUtil.loadJDBC(props.getProperty("jdbcDriver"));
//	 connect to conA
	        String urlA = props.getProperty("jdbcURLA");
	        String userA = props.getProperty("userNameA");
	        String pwdA = props.getProperty("userPWDA");
	        Connection conA = DriverManager.getConnection(urlA, userA, pwdA);
	        Statement stmtA = conA.createStatement();
//	   	 retrieve table and column from properties
	        String tableA = props.getProperty("tableA");
	        String columnA = props.getProperty("columnA");
	        ResultSet rsA = stmtA.executeQuery("SELECT * FROM " + tableA);
//	   	 connect to conB
	        String urlB = props.getProperty("jdbcURLB");
	        String userB = props.getProperty("userNameB");
	        String pwdB = props.getProperty("userPWDB");
	        Connection conB = DriverManager.getConnection(urlB, userB, pwdB);
//	   	 retrieve table and column from properties
	        String tableB = props.getProperty("tableB");
	        String columnB = props.getProperty("columnB");
	        PreparedStatement stmtB = conB.prepareStatement("SELECT * FROM " 
					+ tableB + " WHERE " + columnB + "= ?");
			while( rsA.next() ) {
				Object colValue = rsA.getObject(columnA);
				stmtB.setObject(1, colValue);
				ResultSet rsB = stmtB.executeQuery();
				if( rsB.next() ) {
			    	outputCSV(rsA);
			    	System.out.print(",");
			    	outputCSV(rsB);
			    	System.out.println();
				}
			}
	        conA.close();
	        conB.close();
	    }
	}